## scons 3.1.2+dfsg

=== timings/CPPPATH/SConstruct ===
#
# Copyright (c) 2001 - 2019 The SCons Foundation
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
# KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

dir_count = int(ARGUMENTS['DIR_COUNT'])

inc_list = [ Dir('inc_%04d' % t) for t in range(dir_count) ]
inc_list.append(Dir('include'))

env = Environment(CPPPATH = inc_list)

env.Object( 'foo.c' )

=== timings/JTimer/SConstruct ===
#
# Copyright (c) 2001 - 2019 The SCons Foundation
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
# KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

target_count = int(ARGUMENTS['TARGET_COUNT'])

env = Environment()

def write_file( env, target, source ):
    path_target = env.File( target )[0].path
    outfile = open( path_target, 'w' )
    outfile.write( 'junk' )
    outfile.close()

list = []
for i in range( target_count ):
    target = 'target_%03d' % i
    env.Command( target, [], write_file )
    env.Depends( target, list )
    list.append( target )

=== timings/Java/SConstruct ===
#
# Copyright (c) 2001 - 2019 The SCons Foundation
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
# KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

env = Environment()
env.Java('classes', 'src')

=== timings/hundred/SConstruct ===
#
# Copyright (c) 2001 - 2019 The SCons Foundation
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
# KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

target_count = int(ARGUMENTS['TARGET_COUNT'])

def copy_files( env, target, source ):
    for t, s in zip(target, source):
        open(str(t),  'wb').write(open(str(s), 'rb').read())

source_list = ['source_%04d' % t for t in range(target_count)]
target_list = ['target_%04d' % t for t in range(target_count)]

env = Environment()

env.Command( target_list, source_list, copy_files )

=== test/Actions/pre-post-fixture/work2/SConstruct ===
def b(target, source, env):
    with open(str(target[0]), 'wb') as f:
        f.write((env['X'] + '\n').encode())
env1 = Environment(X='111')
env2 = Environment(X='222')
B = Builder(action = b, env = env1, multi=1)
print("B =", B)
print("B.env =", B.env)
env1.Append(BUILDERS = {'B' : B})
env2.Append(BUILDERS = {'B' : B})
env3 = env1.Clone(X='333')
print("env1 =", env1)
print("env2 =", env2)
print("env3 =", env3)
f1 = env1.B(File('file1.out'), [])
f2 = env2.B('file2.out', [])
f3 = env3.B('file3.out', [])
def do_nothing(env, target, source):
    pass
AddPreAction(f2[0], do_nothing)
AddPostAction(f3[0], do_nothing)
print("f1[0].builder =", f1[0].builder)
print("f2[0].builder =", f2[0].builder)
print("f3[0].builder =", f3[0].builder)
print("f1[0].env =", f1[0].env)
print("f2[0].env =", f2[0].env)
print("f3[0].env =", f3[0].env)

=== test/Actions/pre-post-fixture/work3/SConstruct ===
def pre(target, source, env):
    pass
def post(target, source, env):
    pass
def build(target, source, env):
    with open(str(target[0]), 'wb') as f:
        f.write(b'build()\n')
env = Environment()
AddPreAction('dir', pre)
AddPostAction('dir', post)
env.Command('dir/file', [], build)

=== test/packaging/convenience-functions/image/SConstruct ===
from __future__ import print_function

env  = Environment(tools=['default', 'packaging'])
prog = env.Install( 'bin/', ["f1", "f2"] )
env.File( "f3" )

src_files = sorted(map(str, env.FindSourceFiles()))
oth_files = sorted(map(str, env.FindInstalledFiles()))

print(src_files)
print(oth_files)

=== test/Docbook/basedir/slideshtml/image/SConstruct ===
env = Environment(tools=['docbook'])
env.DocbookSlidesHtml('virt', xsl='slides.xsl', base_dir='output/')

=== test/Docbook/basic/slideshtml/image/SConstruct ===
env = Environment(tools=['docbook'])
env.DocbookSlidesHtml('virt')

=== test/Docbook/rootname/slideshtml/image/SConstruct ===
env = Environment(tools=['docbook'])
env.DocbookSlidesHtml('manual.html', 'virt', xsl='slides.xsl')

## scons 0.06-1

=== debian/changelog ===
scons (0.06-1) unstable; urgency=low

  * New upstream version 

 -- Moshe Zadka <moshez@debian.org>  Mon, 15 Apr 2002 19:22:09 +0300

scons (0.05-1) unstable; urgency=low

  * First upload (closes: #140128)

 -- Moshe Zadka <moshez@debian.org>  Wed, 27 Mar 2002 10:40:42 +0200

=== debian/control ===
Source: scons
Section: devel
Priority: optional
Maintainer: Moshe Zadka <moshez@debian.org>
Build-Depends-Indep: debhelper (>> 2.0.0), python2.1
Standards-Version: 3.2.1

Package: scons
Architecture: all
Depends: python2.1
Description: A replacement for Make
 Scons is able to build files from other files, based on the
 dependency DAG.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	/usr/bin/python2.1 setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/scons.
	cp -r build/lib/* debian/scons/usr/lib/python2.1/site-packages/
	sed '1s|.*|#!/usr/bin/python2.1|' build/scripts/scons > debian/scons/usr/bin/scons
	chmod +x debian/scons/usr/bin/scons
	cp scons.1 debian/scons/usr/share/man/man1/
	cp README.txt debian/scons/usr/share/doc/scons/
	cp CHANGES.txt debian/scons/usr/share/doc/scons/changelog
	gzip -9 debian/scons/usr/share/doc/scons/*
	cp debian/copyright debian/scons/usr/share/doc/scons/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	#dh_installdocs
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## scons 1.2.0-2maemo1

=== debian/changelog ===
scons (1.2.0-2maemo1) unstable; urgency=low

  * Packaging for maemo5

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 21 Apr 2010 11:31:50 +0300

scons (1.2.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #522413).
  * debian/patches/no_commandline_arguments:
    - Fix an exception when a null command-line argument is passed in.
  * Update Standards-Version to 3.8.1, no changes required.
  * Add watch file.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 04 Apr 2009 00:15:48 +0200

scons (1.2.0-1ubuntu1) jaunty; urgency=low

  * debian/rules: make SCons ready for Python 2.6:
    - Include /usr/share/python/python.mk.
    - Pass $(py_setup_install_args) macro to setup.py install.
  * debian/patches/no_commandline_arguments (LP: #338492):
    - Fix an exception when a null command-line argument is passed in.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 06 Mar 2009 08:25:10 +0000

scons (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/remove_broken_symlinks:
    - In Clean() routine, try to delete symlinks even if files they point
      to are not available (Closes: #485521).
  * debian/patches/qt_missing_moc:
    - Dropped, implemented upstream time ago.
  * Add description to debian/patches/* to make Lintian happy.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 26 Dec 2008 18:06:57 +0100

scons (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/java_ignore_nonexistent_files:
    - Check for file/symlink existence before trying to use it in Java(),
      this prevents IOError exception (Closes: #338232).
  * Provide a README.source to document quilt usage, as per policy.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 11 Oct 2008 18:23:42 +0200

scons (1.0.1-1) experimental; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 10 Sep 2008 20:29:32 +0200

scons (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Document better SideEffect usage (Closes: #430470).
    - debian/patches/manpage_indentation dropped, implemented upstream.
  * Add DM-Upload-Allowed field.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 13 Aug 2008 09:11:43 +0000

scons (0.98.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/manpage_indentation:
    - Fix scons manpage indentation, thanks Colin Watson (Closes: #472903).
  * debian/control:
    - Bump Standards-Version to 3.8.0 (no changes required).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 10 Jun 2008 07:21:31 +0000

scons (0.98.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Set myself as Maintainer, move Mark Brown to Uploaders
      (Closes: #477925).
  * debian/copyright:
    - Update copyright holder.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 19 May 2008 16:08:06 +0200

scons (0.98.3-1) unstable; urgency=low

  [ Mark Brown ]
  * Add Luca Falavigna to Uploaders pending probable formation of a team.

  [ Luca Falavigna ]
  * New upstream release:
    - Options object backwards compatibility (Closes: #477912).
  * Add quilt support, existing patches are now managed with it:
    - debian/patches/qt_missing_moc.
  * debian/control:
    - Move python-central to Build-Depends-Indep.
    - Bump to Standards-Version: 3.7.3.
    - Add Homepage field.
  * debian/compat:
    - Bump version to 5.
  * debian/scons.manpages:
    - Add scons-time.1 man page.

 -- Mark Brown <broonie@debian.org>  Wed, 30 Apr 2008 21:41:02 +0100

scons (0.98.2-3) unstable; urgency=low

  * Rebuild with python-central 0.6.6 for more bug fixes (closes: #476976).

 -- Mark Brown <broonie@debian.org>  Sun, 27 Apr 2008 11:43:36 +0100

scons (0.98.2-2) unstable; urgency=low

  * Backport fix for propagation of CXXFLAGS to SHCXXFLAGS (closes: #477930).

 -- Mark Brown <broonie@debian.org>  Sat, 26 Apr 2008 11:34:30 +0100

scons (0.98.2-1) unstable; urgency=low

  * New upstream release.
  * Build against new python-central, picking up new generated code which
    fixes upgrades (closes: #476976).

 -- Mark Brown <broonie@debian.org>  Tue, 22 Apr 2008 20:55:03 +0100

scons (0.98.1-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 19 Apr 2008 12:42:01 +0100

scons (0.98.0-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 01 Apr 2008 19:26:31 +0100

scons (0.97.0d20080304-1) unstable; urgency=low

  * Snapshot of revision 2680.
  * This snapshot supports passing lists of Nodes to the File() constructor.

 -- Mark Brown <broonie@debian.org>  Tue, 04 Mar 2008 19:24:23 +0000

scons (0.97.0d20080303-1) unstable; urgency=low

  * Snapshot of revision 2678.
  * This snapshot supports passing lists of Nodes to Chmod() (closes: #464136).

 -- Mark Brown <broonie@debian.org>  Mon, 03 Mar 2008 20:15:36 +0000

scons (0.97.0d20071212-3) unstable; urgency=low

  * Apply upstream patch fixing handling of missing files specified with
    absolute paths in ifdefed code (closes: #457056).

 -- Mark Brown <broonie@debian.org>  Wed, 19 Dec 2007 19:25:28 +0000

scons (0.97.0d20071212-2) unstable; urgency=low

  * Apply upstream patch fixing handling of absolute paths (closes: #456518).

 -- Mark Brown <broonie@debian.org>  Mon, 17 Dec 2007 18:17:14 +0000

scons (0.97.0d20071212-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 14 Dec 2007 20:22:42 +0000

scons (0.97.0d20071203-1) unstable; urgency=low

  * Unofficial upstream snapshot (SVN revision 2509).
  * Incorporates fix for build failures when cleaning (closes: #444204).

 -- Mark Brown <broonie@debian.org>  Mon, 03 Dec 2007 19:29:59 +0000

scons (0.97.0d20070918-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Wed, 19 Sep 2007 12:09:26 +0100

scons (0.97.0d20070809-1) unstable; urgency=low

  * New upstream release.



## scons 1.2.0-2maemo2

=== debian/changelog ===
scons (1.2.0-2maemo2) unstable; urgency=low

  * Removing darwin.py from MANIFEST (it causes error when installing scons)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 4 May 2010 13:40:50 +0200

=== debian/control ===
Source: scons
Section: devel
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5.0.37.2), python-dev, quilt
Build-Depends-Indep: python-central (>= 0.5)
Standards-Version: 3.8.1
XS-Python-Version: current
Homepage: http://www.scons.org/
DM-Upload-Allowed: yes

Package: scons
Architecture: all
Depends: ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: A replacement for Make
 SCons is a make replacement providing a range of enhanced features such
 as automated dependency generation and built in compilation cache
 support.  SCons rule sets are Python scripts so as well as the features
 it provides itself SCons allows you to use the full power of Python
 to control compilation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make
include python.mk

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: patch configure-stamp build-stamp
build-stamp:
	dh_testdir
	python setup.py build
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	python setup.py clean
	rm -f build-stamp configure-stamp
	rm -rf build/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	python setup.py install --root=`pwd`/debian/scons --no-compile --no-install-man --no-version-script --standalone-lib
	rm -rf debian/scons/usr/man

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_pycentral
	dh_installman
	dh_installchangelogs CHANGES.txt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## scons 1.2.0-2maemo3

=== debian/changelog ===
scons (1.2.0-2maemo3) unstable; urgency=low

  * Removing darwin.py (it causes error when installing scons)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 4 May 2010 13:59:50 +0200

## scons 1.2.0-2maemo4

=== debian/changelog ===
scons (1.2.0-2maemo4) unstable; urgency=low

  * Optifying (because there was issue of installing scons to autobuilder)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 4 May 2010 14:52:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	python setup.py install --root=`pwd`/debian/scons --no-compile --no-install-man --no-version-script --standalone-lib
+	python setup.py install --root=`pwd`/debian/scons/opt/scons --no-compile --no-install-man --no-version-script --standalone-lib
 	rm -rf debian/scons/usr/man
 
 # Build architecture-independent files here.

=== debian/watch ===
version=3
http://sf.net/scons/scons-([0-9.]+)\.tar.gz

## scons 1.2.0.d20100117

=== debian/changelog ===
scons (1.2.0.d20100117-1) unstable; urgency=low

  * New upstream checkpoint release.
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jan 2010 15:14:43 +0100

scons (1.2.0.d20091224-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/patches/manpages.patch:
    - Changes applied in previous release were fixed upstream.
    - Fix several spelling and syntax errors.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Dec 2009 13:14:34 +0100

scons (1.2.0.d20090919-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/patches/remove_stale_files.patch:
    - Remove stale files created by SCons when building Debian packages.
      Check if DH_INTERNAL_OPTIONS is set, then delete selected files. This
      is a workaround to fix double compilation, it will reverted when
      upstream implements support for deep clean (Closes: #519948).
  * debian/patches/manpages.patch:
    - Fix errors in manpages.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 05 Dec 2009 18:16:57 +0100

scons (1.2.0.d20090905-1) unstable; urgency=low

  * New upstream checkpoint release.
  * Remove obsolete patches, they have been merged upstream:
    - debian/patches/no_commandline_arguments.patch
    - debian/patches/remove_broken_symlinks.patch
  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Update copyright informations.
  * Switch to debhelper 7.
  * Switch to python-support.
  * Do not build-depend on unnecessary python-dev, replace it with python.
  * Add Vcs-* fields to document where SCons debianisation is stored.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Adhere to DEP3.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 Sep 2009 20:26:05 +0200

=== debian/control ===
Source: scons
Section: devel
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Mark Brown <broonie@debian.org>
Build-Depends: debhelper (>= 7.2.18), python (>= 2.5.4-1~)
Build-Depends-Indep: python-support (>= 0.5.3)
Standards-Version: 3.8.3
XS-Python-Version: >= 2.4
Homepage: http://www.scons.org/
Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons.git
Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons.git;a=summary

Package: scons
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: replacement for make
 SCons is a make replacement providing a range of enhanced features such
 as automated dependency generation and built in compilation cache
 support.  SCons rule sets are Python scripts so as well as the features
 it provides itself SCons allows you to use the full power of Python
 to control compilation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	rm -fr build
	dh $@

override_dh_auto_install:
	dh_auto_install -- --no-version-script --standalone-lib --no-install-man

## scons 2.0.0

=== debian/changelog ===
scons (2.0.0-1) unstable; urgency=low

  * New upstream release.
    - No longer use string exceptions (Closes: #585353).
  * Refresh patches for new upstream release.
  * debian/patches/fortran03.patch:
    - Add fortran03 support, thanks Alastair McKinstry! (Closes: #583658).
  * debian/watch:
    - Look for 2.0 branch.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 15 Jun 2010 16:14:58 +0200

scons (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 25 Mar 2010 20:42:14 +0100

scons (1.2.0.d20100306-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/patches/manpages.patch:
    - Removed, applied upstream.
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 10 Mar 2010 13:58:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mark Brown <broonie@debian.org>
 Build-Depends: debhelper (>= 7.2.18), python (>= 2.5.4-1~)
 Build-Depends-Indep: python-support (>= 0.5.3)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 XS-Python-Version: >= 2.4
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons.git

## scons 2.0.1

=== debian/changelog ===
scons (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to dh_python2.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/watch:
    - Adjust to ignore development versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 10 Feb 2011 23:10:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python (>= 2.5.4-1~)
-Build-Depends-Indep: python-support (>= 0.5.3)
-Standards-Version: 3.8.4
-XS-Python-Version: >= 2.4
+Build-Depends: debhelper (>= 7.2.18), python (>= 2.6.6-3~)
+Standards-Version: 3.9.1
+X-Python-Version: >= 2.4
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons.git;a=summary

## scons 2.0.1-1

=== debian/control ===
Source: scons
Section: unknown
Priority: extra
Maintainer: Changming Sun <snnn119@gmail.com>
Build-Depends: debhelper7 (>= 7), python-dev, quilt
Build-Depends-Indep: python-central (>= 0.5)
Standards-Version: 3.7.2
XS-Python-Version: current
Homepage: http://www.scons.org/
DM-Upload-Allowed: yes

Package: scons2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: scons
Description: A replacement for Make 
  SCons is a make replacement providing a range of enhanced features such as automated dependency generation and built in compilation cache support. SCons rule sets are Python scripts so as well as the features it provides itself SCons allows you to use the full power of Python to control compilation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl:/scratchbox/tools/bin/python:/usr/bin/python
export SBOX_REDIRECT_IGNORE


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	python setup.py build
	#docbook-to-man debian/scons.sgml > scons.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	python setup.py clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/scons.
	python setup.py install --root=`pwd`/debian/scons2 --no-compile --no-install-man --no-version-script --standalone-lib


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## scons 2.1.0

=== debian/changelog ===
scons (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fortran03.patch:
    - Remove, merged upstream.
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Sep 2011 11:14:31 +0200

scons (2.0.1-2) unstable; urgency=low

  * debian/patches/parallel_build.patch:
    - Disable parallel build on sparc machines as a workaround to weird
      build failures seen on several packages (Closes: #632228).
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 02 Jul 2011 13:34:20 +0200

=== debian/control ===
Source: scons
Section: devel
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Mark Brown <broonie@debian.org>
Build-Depends: debhelper (>= 7.2.18), python (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://www.scons.org/
Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons.git
Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons.git;a=summary

Package: scons
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: replacement for make
 SCons is a make replacement providing a range of enhanced features such
 as automated dependency generation and built in compilation cache
 support.  SCons rule sets are Python scripts so as well as the features
 it provides itself SCons allows you to use the full power of Python
 to control compilation.

## scons 2.2.0

=== debian/changelog ===
scons (2.2.0-1) experimental; urgency=low

  * New upstream release.
    - New documentation for custom Decider functions (Closes: #579337).
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump Standards-Version to 3.9.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 20 Aug 2012 23:26:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
-Build-Depends: debhelper (>= 7.2.18), python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons.git

## scons 2.3.0

=== debian/changelog ===
scons (2.3.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/java_ignore_nonexistent_files.patch:
    - Do not check for symlink reference, check whether files can be
      opened instead, and return a valid tuple anyway (LP: #1101094).
  * debian/patches/manpages.patch:
    - Fix spelling errors in the man pages.
  * debian/control:
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 11:42:32 +0200

scons (2.3.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 11 Mar 2013 22:30:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
 Homepage: http://www.scons.org/
-Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons.git
-Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/scons.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scons.git;a=summary
 
 Package: scons
 Architecture: all

=== debian/watch ===
version=3
http://sf.net/scons/scons-([0-9.]+)\.tar\.gz

## scons 2.3.1

=== debian/changelog ===
scons (2.3.1-2) unstable; urgency=medium

  * New maintainer (Closes: #755496).
  * debian/control:
    - Set myself as maintainer.
    - Set László Böszörményi as co-maintainer.
  * Add debian/patch/scons-isystem.patch (Closes: #760804, #761565)
    - add -isystem support to scons
      Thanks to James McCoy <jamessan@debian.org>!

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 08 Nov 2014 10:40:32 +0100

scons (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/remove_stale_files.patch:
    - Refresh for new upstream release.
  * debian/patches/manpages.patch:
    - Restore man pages from version 2.3.0, otherwise empty.
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Apr 2014 12:22:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: scons
 Section: devel
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
-Uploaders: Mark Brown <broonie@debian.org>
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Uploaders: László Böszörményi <gcs@debian.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 Homepage: http://www.scons.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/scons.git

## scons 2.3.6

=== debian/changelog ===
scons (2.3.6-1) unstable; urgency=medium

  * New upstream release.
    - Remove obsolete debian/patches/scons-isystem.patch and
      debian/patches/manpage-spelling.patch

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 02 Aug 2015 12:16:47 +0200

scons (2.3.4-1) unstable; urgency=medium

  * New upstream release
    - Remove obsolete debian/patches/manpages.patch.
    - New debian/patches/manpage-spelling.patch:
      + Correct spelling in scons.1.
  * debian/control:
    - Update required python version to >= 2.7~.
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-* to new cgit based repository viewer
    - Add Build-Depends dh-python to prevent dh warnings.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add new section debian/* with license GPL-3.0+.
    - Add new section debian/patches/* with license Expat.
    - Add myself to the list of authors for debian/*.
    - Update copyright years for 2014-2015.
  * debian/watch
    - Rewrite regex for finding all file extensions.
  * Remove the search of libs in local source dirs for security reasons:
    - New debian/patches/0020-secure_script_scons.patch.
  * Refresh debian/patches
    - manpage-spelling.patch, java_ignore_nonexistent_files.patch,
      remove_stale_files.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 01 Jun 2015 10:03:17 +0200

## scons 2.4.1

=== debian/changelog ===
scons (2.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh and rename patches.
  * New debian/patches/0600-manpage-spelling.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 16 Nov 2015 08:44:32 +0100

scons (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 28 Sep 2015 18:41:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Uploaders: László Böszörményi <gcs@debian.org>
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.4
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python (>= 2.7~)
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Homepage: http://www.scons.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/scons.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scons.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/scons.git
 
 Package: scons
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

clean:
	rm -fr build
	dh $@

override_dh_auto_install:
	dh_auto_install -- --no-version-script --standalone-lib --no-install-man

=== debian/watch ===
#
# remove zip to get tar.gz
#
version=3
http://sf.net/scons/scons-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scons 2.5.0

=== debian/changelog ===
scons (2.5.0-2) unstable; urgency=medium

  * debian/control:
    - Use http for the homepage link as https is not supported.
    - Bump Standards-Version to 3.9.8 (no changes required).
  * debian/patches:
    - Refresh 0600-manpage-spelling.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 11 Sep 2016 09:43:19 +0200

scons (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * New debian/patches/0120-fix-bibtex-call.patch to create 
    Bibtex bibliography always (Closes: #749716).
  * debian/watch:
    - bump version to 4 (no changes required).
  * debian/copyright: 
    - Add year 2016.
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Use secure URIs.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 10 Apr 2016 19:50:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  debhelper (>= 9),
  dh-python,
  python (>= 2.7~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://www.scons.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/scons.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/scons.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/scons.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/scons.git
 
 Package: scons
 Architecture: all

## scons 2.5.1

=== debian/changelog ===
scons (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0600-manpage-spelling.patch:
    - Fix spelling error.
  * Add missing man page:
    - New debian/scons-configure-cache.1.
    - Add new man page to debian/manpages.
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 04 Nov 2016 10:08:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python (>= 2.7~)
 Standards-Version: 3.9.8

## scons 3.0.0

=== debian/changelog ===
scons (3.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
      + patches/0110-remove_stale_files.patch
      + patches/0115-secure_script_scons.patch
      + patches/0120-fix-bibtex-call.patch
      + patches/0600-manpage-spelling.patch
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.1.0. (No changes needed).
  * debian/copyright:
    - Add year 2017 to *, debian and debian/patches.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 01 Oct 2017 13:30:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 10),
  dh-python,
  python (>= 2.7~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 X-Python-Version: >= 2.7
 Homepage: http://www.scons.org/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/scons.git
@@ -22,3 +22,4 @@
  support.  SCons rule sets are Python scripts so as well as the features
  it provides itself SCons allows you to use the full power of Python
  to control compilation.
+

## scons 3.0.1

=== debian/changelog ===
scons (3.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Refresh 0600-manpage-spelling.patch.
    - Remove upstream applied 0125-printf_regression.patch.
  * Change to my new email-address:
    - debian/control,
    - debian/copyright.
  * Declare compliance with Debian Policy 4.1.2.0 (No changes needed).
  * debian/changelog:
    - Remove trailing whitespace.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 14 Dec 2017 15:57:20 +0100

scons (3.0.0-2) unstable; urgency=high

  * New patch/0125-printf_regression.patch (Closes: #878327):
    - Support python 2 print statements in SConscripts
      (cherry picked from upstream commit).
  * Declare compliance with Debian Policy 4.1.1. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 13 Oct 2017 09:08:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: scons
 Section: devel
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper (>= 10),
  dh-python,
  python (>= 2.7~)
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2.0
 X-Python-Version: >= 2.7
 Homepage: http://www.scons.org/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/scons.git

=== debian/watch ===
#
# remove zip to get tar.gz
#
version=4
http://sf.net/scons/scons-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scons 3.1.1

=== debian/changelog ===
scons (3.1.1-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:45:50 +0000

scons (3.1.1-3) unstable; urgency=medium

  * Team Upload (salsa.d.o/debian collaborative namespace)
  * Run dh-python with --python2
    - this makes the build reproducible (Closes: #934699)
    - thanks <lamby> and <sebastinas>

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2019 20:19:04 +0200

scons (3.1.1-2) unstable; urgency=medium

  * Team Upload (salsa.d.o/debian collaborative namespace)
  * Revert python3 switch, all scons reverse-dependencies should be fixed
    before this change (Closes: #934595).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 13:17:57 +0200

scons (3.1.1-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release:
    - Refresh patches.at
    - Remove 0115-secure_script_scons.patch and
      0105-java_ignore_nonexistent_files.patch.
    - Use pybuild as buildsystem.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * debian/control:
    - Remove trailing whitespaces.
    - Add python3 (>= 3.5) support.
    - Remove python2 support.
    - Use secure URI for homepage.
  * debian/rules:
    - Remove trailing whitespaces.
    - Add python3 support.
    - Remove python2 support.
  * debian/copyright:
    - Add year 2019.
    - Use secure URI.
  * New debian/patches/0130-python3.patch:
    - Switch shebang to python3.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 10 Aug 2019 09:05:16 +0200

scons (3.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Christian Ehrhardt ]
  * d/p/0110-remove_stale_files.patch: update for python3
    compatibility (Closes: #893740)

  [ Laszlo Boszormenyi (GCS) <gcs@debian.org> ]
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Nov 2018 18:35:29 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--no-version-script --standalone-lib --no-install-man --no-install-bat

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## scons 3.1.2

=== debian/changelog ===
scons (3.1.2-2) unstable; urgency=medium

  * Upload to unstable (Closes: #939487).
  * debian/copyright:
    - Add year 2020.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 02 Feb 2020 10:37:32 +0100

scons (3.1.2-1) experimental; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Switch to debhelper-compat:
    - debian/control: Replace debhelper with debhelper-compat.
    - Remove debian/compat.
  * Declare compliance with Debian Policy 4.4.1.2 (No changes needed).
  * debian/control:
    - Switch to Rules-Requires-Root: no.
  * Upload to experimental.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 27 Dec 2019 10:03:54 +0100

scons (3.1.1-4) experimental; urgency=medium

  * Revert to release 3.1.1-1.
  * Upload to experimental.
  * Declare compliance with Debian Policy 4.4.1 (No changes needed).
  * debian/control:
    - Add Rules-Requires-Root: binary-targets.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 07 Oct 2019 19:41:05 +0200

=== debian/control ===
Source: scons
Section: devel
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff.email>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.5)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.scons.org/
Vcs-Git: https://salsa.debian.org/debian/scons.git
Vcs-Browser: https://salsa.debian.org/debian/scons

Package: scons
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Description: replacement for make
 SCons is a make replacement providing a range of enhanced features such
 as automated dependency generation and built in compilation cache
 support.  SCons rule sets are Python scripts so as well as the features
 it provides itself SCons allows you to use the full power of Python
 to control compilation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--no-version-script --standalone-lib --no-install-man --no-install-bat

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
#
# remove zip to get tar.gz
#
version=4
https://sf.net/scons/scons-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scons 3.1.2+dfsg

=== debian/changelog ===
scons (3.1.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use full upstream source tarball instead of 'production' tarball as
    upstream source (Closes: #966515):
    - debian/watch: Change URL regex
    - debian/copyright: Exclude minified jQuery library
    - debian/control: Build-Depend on fop and python3-lxml
    - debian/docs, debian/manpages, debian/patches/*.patch: Adjust filenames
    - debian/patches/0600-manpage-spelling.patch: Rewrite to apply to source
      files
    - debian/rules: Rewrite to use bootstrap.py
  * docbook: lxml: Fix man-page generation
  * debian/copyright: Add myself

 -- Ben Hutchings <benh@debian.org>  Fri, 14 Aug 2020 22:34:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- python3-all (>= 3.5)
+ python3-all (>= 3.5),
+ fop,
+ python3-lxml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.scons.org/

=== debian/rules ===
#!/usr/bin/make -f

SCONS_FLAGS := $(subst parallel=,-j,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

%:
	dh $@ --with python3

override_dh_auto_configure:
	@:

override_dh_auto_build:
	python3 bootstrap.py $(SCONS_FLAGS) build/scons

override_dh_auto_install:
	cd build/scons && \
	python3 setup.py install --prefix /usr --root '$(CURDIR)/debian/scons' \
		--no-version-script --standalone-lib --no-install-man --no-install-bat

override_dh_auto_clean:
	rm -rf .sconsign.dblite bootstrap build $$(find * -name __pycache__ -type d)

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGES.txt

=== debian/watch ===
#
# remove zip to get tar.gz
#
version=4
https://sf.net/scons/scons-src-(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
